ControlPluginRemove_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.commands.ControlPluginRemove_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent.commands
Class ControlPluginRemove_args

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.control.agent.commands.ControlPluginRemove_args

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class ControlPluginRemove_args

extends AgentRemoteValue

See Also:
  Serialized Form

Constructor Summary
`ControlPluginRemove_args()`
`ControlPluginRemove_args(AgentRemoteValue args)`

Method Summary
`java.lang.String` | `getPluginName()`
`void` | `setPluginName(java.lang.String pluginName)`

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, setValue, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlPluginRemove_args

    public ControlPluginRemove_args()

### ControlPluginRemove_args

    public ControlPluginRemove_args(AgentRemoteValue args)
                             throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### setPluginName

    public void setPluginName(java.lang.String pluginName)
                       throws AgentRemoteException

  Throws:
    `AgentRemoteException`

### getPluginName

    public java.lang.String getPluginName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.